import RefDataProvider from 'bitbucket/internal/bbui/data-provider/ref';
import mocks from '../models';

export default class MockRefDataProvider extends RefDataProvider {

    _transform(d) {
        return d.values.map((junk, i) => {
            return mocks.ref(null, 'branch-' + this._globalIndex(i));
        });
    }
}
